summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-04-27 08:13:06 +0200
committerMichał Górny <mgorny@gentoo.org>2018-04-27 08:34:32 +0200
commit26c755f1e9788c426191d99d09647bb0f74e4f5e (patch)
tree6f2606329627d418b8d127cd71a328fa43764290
parentdev-python/pypy3-bin: Bump to 6.0.0 (diff)
downloadgentoo-26c755f1e9788c426191d99d09647bb0f74e4f5e.tar.gz
gentoo-26c755f1e9788c426191d99d09647bb0f74e4f5e.tar.bz2
gentoo-26c755f1e9788c426191d99d09647bb0f74e4f5e.zip
virtual/pypy: Bump to 6.0.0
-rw-r--r--virtual/pypy/pypy-6.0.0.ebuild16
1 files changed, 16 insertions, 0 deletions
diff --git a/virtual/pypy/pypy-6.0.0.ebuild b/virtual/pypy/pypy-6.0.0.ebuild
new file mode 100644
index 00000000000..2220b64c972
--- /dev/null
+++ b/virtual/pypy/pypy-6.0.0.ebuild
@@ -0,0 +1,16 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A virtual for PyPy Python implementation"
+# pypy -c 'import sysconfig; print sysconfig.get_config_var("SOABI")'
+SLOT="0/41"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 gdbm ncurses sqlite tk"
+
+RDEPEND="
+ || (
+ >=dev-python/pypy-${PV}:${SLOT}[bzip2?,gdbm(-)?,ncurses?,sqlite?,tk?]
+ >=dev-python/pypy-bin-${PV}:${SLOT}[gdbm(-)?,sqlite?,tk?]
+ )"